Bug 1031226 - Convert ldbm_back_seq code to be transaction aware.
Convert ldbm_back_seq code to be transaction aware.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 18:23 EST by Nathan Kinder
Modified: 2014-06-17 23:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Kinder 2013-11-15 18:23:36 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47598

The ldbm_back_seq code needs to be converted to be transaction aware.  We are seeing deadlock issues related to this code as described in the following FreeIPA ticket:

    https://fedorahosted.org/freeipa/ticket/3967
Comment 1 Sankar Ramalingam 2013-11-25 12:28:01 EST
Hi Mark, Can this be verified on DS side? If yes, can you add steps to reproduce?
Comment 2 mreynolds 2013-11-25 12:37:53 EST
Hi Sankar,

There are no steps to reproduce.  This was just make the function compliant with our backend transaction processes.
Comment 4 Milan Kubík 2014-02-17 04:51:32 EST
Sanity test/acceptance run against 389-ds-base-1.3.1.6-18.el7 doesn't seem to indicate regressions.

Marking verified as per Sankar's instructions.
Comment 5 Ludek Smid 2014-06-13 06:57:25 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.